//-----------------------------------------------------------------------------
// Project            	GeometryKit
// Class		G3DTrigonometry
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Thu Sep  9 11:05:08 CEST 1999
//
// Copyright (c) Philippe C.D. Robert
//
// The GeometryKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DTrigonometry.h,v 1.5 2001/01/05 20:50:49 robert Exp $
//-----------------------------------------------------------------------------

/*
  Description:

  Highly optimised trigonometry functions!

 */

#ifndef __G3DTrigonometry_h_INCLUDE
#define __G3DTrigonometry_h_INCLUDE

#import <Foundation/Foundation.h>

@interface G3DTrigonometry : NSObject
{
}

//-----------------------------------------------------------------------------
// class methods
//-----------------------------------------------------------------------------

+ (void)initialize;

+ (float)fastSin:(int)angle;
+ (float)fastCos:(int)angle;

@end

extern NSString *TableAllocationException;

#endif




