//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class              	G3DDefines
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Thu Sep  9 11:05:08 CEST 1999
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DDefines.h,v 1.13 2001/01/17 10:23:15 robert Exp $
//
//-----------------------------------------------------------------------------

#ifndef _G3D_DEFINES_H
#define _G3D_DEFINES_H

#include <Foundation/Foundation.h>

#ifndef __G3DEI__
#define __G3DEI__ extern __inline__
#endif

#ifndef __G3DI__
#define __G3DI__ __inline__
#endif

#ifndef __G3DS__
#define __G3DS__
#endif

//-----------------------------------------------------------------------------
// Debugging
//-----------------------------------------------------------------------------

#ifdef DEBUG
#define DLOG(format, args...) do { NSLog(format, ## args); } while (0)
#else
#define DLOG(format, args...)
#endif DEBUG

#endif _G3D_DEFINES_H










