/* 
 * G3DBillboard.h created by probert on 2001-07-15 12:40:57 +0000
 *
 * Project RenderKit
 *
 * Created with ProjectCenter - http://www.projectcenter.ch
 *
 * $Id: G3DBillboard.h,v 1.1 2001/07/15 13:00:45 probert Exp $
 */

#ifndef __G3DBillboard_H_INCLUDE
#define __G3DBillboard_H_INCLUDE

#import <Foundation/Foundation.h>
#import <RenderKit/G3DLeaf.h>

@interface G3DBillboard : G3DLeaf <NSCopying,NSCoding,G3DSceneCoding>
{

}

//-----------------------------------------------------------------------------
// NSCoding
//-----------------------------------------------------------------------------

- (void)encodeWithCoder:(NSCoder *)aCoder;
- (id)initWithCoder:(NSCoder *)aCoder;

//-----------------------------------------------------------------------------
// NSCopying
//-----------------------------------------------------------------------------

- (id)copyWithZone:(NSZone *)zone;

//-----------------------------------------------------------------------------
// G3DSceneCoding
//-----------------------------------------------------------------------------

- (void)encodeWithSceneArchiver:(G3DArchiver *)archiver;
- (id)initWithSceneUnarchiver:(G3DUnarchiver *)unarchiver;

@end

#endif
