//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class		G3DSceneCoding
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Wed Nov 24 18:49:25 CET 1999
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DSceneCoding.h,v 1.3 2001/01/05 20:50:54 robert Exp $
//-----------------------------------------------------------------------------

#ifndef __G3DSceneCoding_h_INCLUDE
#define __G3DSceneCoding_h_INCLUDE

#import <Foundation/Foundation.h>

@class G3DArchiver;
@class G3DUnarchiver;

@protocol G3DSceneCoding

- (void)encodeWithSceneArchiver:(G3DArchiver *)archiver;
- (id)initWithSceneUnarchiver:(G3DUnarchiver *)unarchiver;

@end

#endif





