//-----------------------------------------------------------------------------
// Project            	RenderKit
// Class		G3DShape+Surface
// Creator            	Philippe C.D. Robert
// Maintainer         	Philippe C.D. Robert
// Creation Date      	Fri Jun 16 13:50:36 CEST 2000
//
// Copyright (c) Philippe C.D. Robert
//
// The RenderKit is free software; you can redistribute it and/or modify it 
// under the terms of the GNU LGPL Version 2 as published by the Free 
// Software Foundation
//
// $Id: G3DShape+Surface.h,v 1.3 2001/01/05 20:50:54 robert Exp $
//-----------------------------------------------------------------------------

#ifndef __G3DShapeSurface_h_INCLUDE
#define __G3DShapeSurface_h_INCLUDE

#import <Foundation/Foundation.h>
#import <RenderKit/G3DShape.h>

@class G3DColour;

@interface G3DShape (Surface)

+ (G3DShape *)surfaceWithScale:(float)sc colour:(G3DColour *)col texture:(G3DTexture *)tx;

@end

#endif




